Skip to main content
GET
Get Retailer Routing Guide file content

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1
guide_id
integer<int32>
required

The id of the referenced RetailerRoutingGuide.

Required range: x >= 1

Response

Routing guide file content envelope.

Routing-guide file body wrapped as a JSON resource. file_content is base64-encoded file bytes.

file_content
string<byte>
required

Base64-encoded file bytes.

file_name
string | null

Storage filename derived from path.

Example:

"walmart-routing-guide-2026.pdf"

file_type
string | null

Storage-file MIME / extension hint.

Example:

"pdf"

file_size
integer<int32> | null

File size in bytes.

Example:

524288

meta
object

Server-side metadata such as processing time.